package com.fsense.api;

import com.fasterxml.jackson.databind.DeserializationFeature;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.fsense.entities.ClientRequestIntegrationConfiguration;
import com.fsense.exceptions.ExceptionUtils;
import com.google.gson.Gson;

public class GenericRequest {

	private final ClientRequestIntegrationConfiguration configuration;

	public GenericRequest(ClientRequestIntegrationConfiguration configuration) {
		this.configuration = configuration;
	}
	
	//converte objeto java para Json
	protected static String convertToJson(Object object) {
		Gson gson = new Gson();
		return gson.toJson(object);
	}
	
	//converte Json para uma classe java
	protected static ObjectMapper objectMapperFactory() {
		ObjectMapper objectMapper = new ObjectMapper();
		objectMapper.configure(DeserializationFeature.FAIL_ON_UNKNOWN_PROPERTIES, false);
		return objectMapper;
	}
	
	//metodo auxiliar que disponiliza a propriedade api.base.url informado no arquivo fsense.properties
	//para as classes da camada de API 
	public String getBaseUrl() {
		return configuration.getBaseUrl();
	}
	
	//metodo auxiliar que disponiliza a propriedade api.version informado no arquivo fsense.properties
	//para as classes da camada de API
	public String getApiVersion() {
		return configuration.getApiVersion();
	}
	
	//metodo auxiliar que lança exceçoes do server no console do sistema nas classes da camada de API
	public ExceptionUtils exceptionUtils() {
		return new ExceptionUtils();
	}
}
