package com.fsense.dto;

import java.io.Serializable;

import com.fsense.entities.CategoryTeam;

@SuppressWarnings("serial")
public class CategoryTeamDTO implements Serializable {
	
	private String applicationName;
	private String category;
	private String categoryName;
	private Integer teamId;
	private String teamName;
	
	public CategoryTeamDTO() {
	}

	public CategoryTeamDTO(String applicationName, String category, String categoryName, Integer teamId,
			String teamName) {
		this.applicationName = applicationName;
		this.category = category;
		this.categoryName = categoryName;
		this.teamId = teamId;
		this.teamName = teamName;
	}
	
	public CategoryTeamDTO(CategoryTeam entity) {
		this.applicationName = entity.getApplicationName();
		this.category = entity.getCategory();
		this.categoryName = entity.getCategoryName();
		this.teamId = entity.getTeam().getId();
		this.teamName = entity.getTeam().getName();
	}

	public String getApplicationName() {
		return applicationName;
	}

	public void setApplicationName(String applicationName) {
		this.applicationName = applicationName;
	}

	public String getCategory() {
		return category;
	}

	public void setCategory(String category) {
		this.category = category;
	}

	public String getCategoryName() {
		return categoryName;
	}

	public void setCategoryName(String categoryName) {
		this.categoryName = categoryName;
	}

	public Integer getTeamId() {
		return teamId;
	}

	public void setTeamId(Integer teamId) {
		this.teamId = teamId;
	}

	public String getTeamName() {
		return teamName;
	}

	public void setTeamName(String teamName) {
		this.teamName = teamName;
	}	
}
