package com.fsense.dto;

import java.io.Serializable;

import com.fsense.entities.Holiday;
import com.fsense.entities.HolidayType;
import com.fsense.utils.DateUtils;

@SuppressWarnings("serial")
public class HolidayDTO implements Serializable {
	
	private Integer id;
	private String name;
	private HolidayType type;
	private String date;
	private boolean canRepeat;
	private Integer year;
	private Integer month;
	private Integer day;
	private Integer calendarId;
	
	public HolidayDTO() {
	}

	public HolidayDTO(Integer id, String name, HolidayType type, String date, boolean canRepeat, Integer year,
			Integer month, Integer day, Integer calendarId) {
		this.id = id;
		this.name = name;
		this.type = type;
		this.date = date;
		this.canRepeat = canRepeat;
		this.year = year;
		this.month = month;
		this.day = day;
		this.calendarId = calendarId;
	}
	
	public HolidayDTO(Holiday entity) {
		this.id = entity.getId();
		this.name = entity.getName();
		this.type = entity.getType();
		this.date = DateUtils.formatDateToString(entity.getDate(),DateUtils.DATE_FORMAT_SQL);
		this.canRepeat = entity.isCanRepeat();
		this.year = entity.getYear();
		this.month = entity.getMonth();
		this.day = entity.getDay();
		this.calendarId = entity.getCalendarId();
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public HolidayType getType() {
		return type;
	}

	public void setType(HolidayType type) {
		this.type = type;
	}

	public String getDate() {
		return date;
	}

	public void setDate(String date) {
		this.date = date;
	}

	public boolean isCanRepeat() {
		return canRepeat;
	}

	public void setCanRepeat(boolean canRepeat) {
		this.canRepeat = canRepeat;
	}

	public Integer getYear() {
		return year;
	}

	public void setYear(Integer year) {
		this.year = year;
	}

	public Integer getMonth() {
		return month;
	}

	public void setMonth(Integer month) {
		this.month = month;
	}

	public Integer getDay() {
		return day;
	}

	public void setDay(Integer day) {
		this.day = day;
	}

	public Integer getCalendarId() {
		return calendarId;
	}

	public void setCalendarId(Integer calendarId) {
		this.calendarId = calendarId;
	}
}
