package com.fsense.dto;

import java.io.Serializable;

import com.fsense.entities.HolidayInsert;
import com.fsense.utils.DateUtils;

@SuppressWarnings("serial")
public class HolidayInsertDTO implements Serializable{
	
	private String name;
	private String type;
	private String date;
	private boolean canRepeat;
	private Integer calendarId;
	
	public HolidayInsertDTO() {
	}

	public HolidayInsertDTO(String name, String type, String date, boolean canRepeat, Integer calendarId) {
		this.name = name;
		this.type = type;
		this.date = date;
		this.canRepeat = canRepeat;
		this.calendarId = calendarId;
	}
	
	public HolidayInsertDTO(HolidayInsert entity) {
		this.name = entity.getName();
		this.type = entity.getType();
		this.date = DateUtils.parseDataToString(entity.getDate(), DateUtils.YEAR_MONTH_DAY)+"T00:00:00Z";
		this.canRepeat = entity.isCanRepeat();
		this.calendarId = entity.getCalendarId();
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getDate() {
		return date;
	}

	public void setDate(String date) {
		this.date = date;
	}

	public boolean isCanRepeat() {
		return canRepeat;
	}

	public void setCanRepeat(boolean canRepeat) {
		this.canRepeat = canRepeat;
	}

	public Integer getCalendarId() {
		return calendarId;
	}

	public void setCalendarId(Integer calendarId) {
		this.calendarId = calendarId;
	}

	@Override
	public String toString() {
		return "{ name=" + name +
				", type=" + type +
				", date=" + date +
				", canRepeat=" + canRepeat +
				", calendarId=" + calendarId +
				"}";
	}
}
