package com.fsense.dto;

import java.io.Serializable;

import com.fsense.entities.HolidayUpdate;
import com.fsense.utils.DateUtils;

@SuppressWarnings("serial")
public class HolidayUpdateDTO implements Serializable {
	
	private Integer id;
	private String name;
	private String type;
	private String date;
	private boolean canRepeat;
	private Integer calendarId;
	
	public HolidayUpdateDTO() {
	}

	public HolidayUpdateDTO(Integer id,String name, String type, String date, boolean canRepeat, Integer calendarId) {
		this.id = id;
		this.name = name;
		this.type = type;
		this.date = date;
		this.canRepeat = canRepeat;
		this.calendarId = calendarId;
	}
	
	public HolidayUpdateDTO(HolidayUpdate entity) {
		this.id = entity.getId();
		this.name = entity.getName();
		this.type = entity.getType();
		this.date = DateUtils.parseDataToString(entity.getDate(), DateUtils.YEAR_MONTH_DAY)+"T00:00:00Z";
		this.canRepeat = entity.isCanRepeat();
		this.calendarId = entity.getCalendarId();
	}
	
	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getDate() {
		return date;
	}

	public void setDate(String date) {
		this.date = date;
	}

	public boolean isCanRepeat() {
		return canRepeat;
	}

	public void setCanRepeat(boolean canRepeat) {
		this.canRepeat = canRepeat;
	}

	public Integer getCalendarId() {
		return calendarId;
	}

	public void setCalendarId(Integer calendarId) {
		this.calendarId = calendarId;
	}

	@Override
	public String toString() {
		return "{ " +
				"id=" + id +
				", name=" + name +
				", type=" + type +
				", date=" + date +
				", canRepeat=" + canRepeat +
				", calendarId=" + calendarId +
				"}";
	}
}
