package com.fsense.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import com.fsense.entities.Workday;

@SuppressWarnings("serial")
public class WorkdayDTO implements Serializable{
	
	private Integer id;
	private String name;
	private boolean isFlexible;
	private String ignoreNonFocusLongerThan;
	private boolean workNationalHolidays;
	private boolean workRegionalHolidays;
	private List<WorkdayScheduleDTO> workdayScheduleList = new ArrayList<>();
	private Integer calendarId;
	
	public WorkdayDTO() {
	}

	public WorkdayDTO(Integer id, String name, boolean isFlexible, String ignoreNonFocusLongerThan,
			boolean workNationalHolidays, boolean workRegionalHolidays, Integer calendarId) {
		this.id = id;
		this.name = name;
		this.isFlexible = isFlexible;
		this.ignoreNonFocusLongerThan = ignoreNonFocusLongerThan;
		this.workNationalHolidays = workNationalHolidays;
		this.workRegionalHolidays = workRegionalHolidays;
		this.calendarId = calendarId;
	}
	
	public WorkdayDTO(Workday workday) {
		this.id = workday.getId();
		this.name = workday.getName();
		this.isFlexible = workday.isFlexible();
		this.ignoreNonFocusLongerThan = workday.getIgnoreNonFocusLongerThan();
		this.workNationalHolidays = workday.isWorkNationalHolidays();
		this.workRegionalHolidays = workday.isWorkRegionalHolidays();
		workday.getWorkdayScheduleList().forEach(workdaySchedule -> this.workdayScheduleList.add(new WorkdayScheduleDTO(workdaySchedule)));
		this.calendarId = workday.getCalendarId();
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public boolean isFlexible() {
		return isFlexible;
	}

	public void setFlexible(boolean isFlexible) {
		this.isFlexible = isFlexible;
	}

	public String getIgnoreNonFocusLongerThan() {
		return ignoreNonFocusLongerThan;
	}

	public void setIgnoreNonFocusLongerThan(String ignoreNonFocusLongerThan) {
		this.ignoreNonFocusLongerThan = ignoreNonFocusLongerThan;
	}

	public boolean isWorkNationalHolidays() {
		return workNationalHolidays;
	}

	public void setWorkNationalHolidays(boolean workNationalHolidays) {
		this.workNationalHolidays = workNationalHolidays;
	}

	public boolean isWorkRegionalHolidays() {
		return workRegionalHolidays;
	}

	public void setWorkRegionalHolidays(boolean workRegionalHolidays) {
		this.workRegionalHolidays = workRegionalHolidays;
	}

	public List<WorkdayScheduleDTO> getWorkdayScheduleList() {
		return workdayScheduleList;
	}

	public Integer getCalendarId() {
		return calendarId;
	}

	public void setCalendarId(Integer calendarId) {
		this.calendarId = calendarId;
	}

	@Override
	public String toString() {
		return "{id=" + id + ", name=" + name + ", isFlexible=" + isFlexible + ", ignoreNonFocusLongerThan="
				+ ignoreNonFocusLongerThan + ", workNationalHolidays=" + workNationalHolidays
				+ ", workRegionalHolidays=" + workRegionalHolidays + ", workdayScheduleList=" + workdayScheduleList
				+", calendarId=" + calendarId
				+ "}";
	}
}