package com.fsense.dto;

import java.io.Serializable;

import com.fsense.entities.WorkdayOverride;

@SuppressWarnings("serial")
public class WorkdayOverrideDTO implements Serializable {
	
	private Integer id;
	private	Integer personId;
	private String personName;
	private String personDeviceIdentifier;
	private String personEmail;
	private String date;
	private String startTime;
	private String intervalStartTime;
	private String endTime;
	private String intervalEndTime;
	private	Integer creatorId;
	private String creatorName;
	private String creatorDeviceIdentifier;
	private String creatorEmail;
	private String message;
	private String maxFlexibleDuration;
	
	public WorkdayOverrideDTO() {
	}

	public WorkdayOverrideDTO(Integer id, Integer personId, String personName, String personDeviceIdentifier, String personEmail,
			String date, String startTime, String intervalStartTime, String endTime, Integer creatorId, String creatorName, String creatorDeviceIdentifier, String creatorEmail, String intervalEndTime,
			String message, String maxFlexibleDuration) {
		this.id = id;
		this.personId = personId;
		this.personName = personName;
		this.personDeviceIdentifier = personDeviceIdentifier;
		this.personEmail = personEmail;
		this.date = date;
		this.startTime = startTime;
		this.intervalStartTime = intervalStartTime;
		this.endTime = endTime;
		this.creatorId = creatorId;
		this.creatorName = creatorName;
		this.creatorDeviceIdentifier = creatorDeviceIdentifier;
		this.creatorEmail = creatorEmail;
		this.intervalEndTime = intervalEndTime;
		this.message = message;
	}
	
	public WorkdayOverrideDTO(WorkdayOverride entity) {
		this.id = entity.getId();
		this.personId = entity.getPerson().getId();
		this.personName = entity.getPerson().getName();
		this.personDeviceIdentifier = entity.getPerson().getDeviceIdentifier();
		this.personEmail = entity.getPerson().getEmail();
		this.date = entity.getDate();
		this.startTime = entity.getStartTime();
		this.intervalStartTime = entity.getIntervalStartTime();
		this.endTime = entity.getEndTime();
		this.intervalEndTime = entity.getIntervalEndTime();
		this.message = entity.getMessage();
		if(entity.getCreator() != null) {
			this.creatorId = entity.getCreator().getId();
			this.creatorName = entity.getCreator().getName();
			this.creatorDeviceIdentifier = entity.getCreator().getDeviceIdentifier();
			this.creatorEmail = entity.getCreator().getEmail();
		}
		this.maxFlexibleDuration = entity.getMaxFlexibleDuration();
	}
	
	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getPersonId() {
		return personId;
	}

	public void setPersonId(Integer personId) {
		this.personId = personId;
	}

	public String getPersonEmail() {
		return personEmail;
	}

	public void setPersonEmail(String personEmail) {
		this.personEmail = personEmail;
	}
	
	public String getPersonName() {
		return personName;
	}

	public void setPersonName(String personName) {
		this.personName = personName;
	}

	public String getPersonDeviceIdentifier() {
		return personDeviceIdentifier;
	}

	public void setPersonDeviceIdentifier(String personDeviceIdentifier) {
		this.personDeviceIdentifier = personDeviceIdentifier;
	}

	public String getDate() {
		return date;
	}

	public void setDate(String date) {
		this.date = date;
	}

	public String getStartTime() {
		return startTime;
	}

	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}

	public String getIntervalStartTime() {
		return intervalStartTime;
	}

	public void setIntervalStartTime(String intervalStartTime) {
		this.intervalStartTime = intervalStartTime;
	}

	public String getEndTime() {
		return endTime;
	}

	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}

	public String getIntervalEndTime() {
		return intervalEndTime;
	}

	public void setIntervalEndTime(String intervalEndTime) {
		this.intervalEndTime = intervalEndTime;
	}
	
	public Integer getCreatorId() {
		return creatorId;
	}

	public void setCreatorId(Integer creatorId) {
		this.creatorId = creatorId;
	}

	public String getCreatorName() {
		return creatorName;
	}

	public void setCreatorName(String creatorName) {
		this.creatorName = creatorName;
	}

	public String getCreatorDeviceIdentifier() {
		return creatorDeviceIdentifier;
	}

	public void setCreatorDeviceIdentifier(String creatorDeviceIdentifier) {
		this.creatorDeviceIdentifier = creatorDeviceIdentifier;
	}

	public String getCreatorEmail() {
		return creatorEmail;
	}

	public void setCreatorEmail(String creatorEmail) {
		this.creatorEmail = creatorEmail;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public String getMaxFlexibleDuration() {
		return maxFlexibleDuration;
	}

	public void setMaxFlexibleDuration(String maxFlexibleDuration) {
		this.maxFlexibleDuration = maxFlexibleDuration;
	}
}
