package com.fsense.dto;

import java.io.Serializable;

import com.fsense.entities.WorkdayProrogation;

@SuppressWarnings("serial")
public class WorkdayProrogationResponseDTO implements Serializable{
	
	private Integer id;
	private String source;
	private Integer personId;
	private String personName;
	private String personDeviceIdentifier;
	private Integer deviceId;
	private String deviceName;
	private String deviceLabel;
	private String requestMessage;
	private String date;
	private String startTime;
	private String endTime;
	private String finalTime;
	private String extraTime;
	private String status;
	
	public WorkdayProrogationResponseDTO() {
	}

	public WorkdayProrogationResponseDTO(Integer id, String source, Integer personId, String personName,
			String personDeviceIdentifier, Integer deviceId, String deviceName, String deviceLabel,
			String requestMessage, String date, String startTime, String endTime, String finalTime, String extraTime,
			String status) {
		this.id = id;
		this.source = source;
		this.personId = personId;
		this.personName = personName;
		this.personDeviceIdentifier = personDeviceIdentifier;
		this.deviceId = deviceId;
		this.deviceName = deviceName;
		this.deviceLabel = deviceLabel;
		this.requestMessage = requestMessage;
		this.date = date;
		this.startTime = startTime;
		this.endTime = endTime;
		this.finalTime = finalTime;
		this.extraTime = extraTime;
		this.status = status;
	}
	
	public WorkdayProrogationResponseDTO(WorkdayProrogation entity) {
		this.id = entity.getId();
		this.source = entity.getSource();
		if(entity.getPerson() != null ) {
			this.personId = entity.getPerson().getId();
			this.personName = entity.getPerson().getName();
			this.personDeviceIdentifier = entity.getPerson().getDeviceIdentifier();
		}
		if(entity.getDevice() != null ) {
			this.deviceId = entity.getDevice().getId();
			this.deviceName = entity.getDevice().getName();
			this.deviceLabel = entity.getDevice() .getLabel();
		}
		this.requestMessage = entity.getRequestMessage();
		this.date = entity.getDate();
		this.startTime = entity.getStartTime();
		this.endTime = entity.getEndTime();
		this.finalTime = entity.getExtraTime();
		this.extraTime = entity.getExtraTime();
		this.status = entity.getStatus();
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getSource() {
		return source;
	}

	public void setSource(String source) {
		this.source = source;
	}

	public Integer getPersonId() {
		return personId;
	}

	public void setPersonId(Integer personId) {
		this.personId = personId;
	}

	public String getPersonName() {
		return personName;
	}

	public void setPersonName(String personName) {
		this.personName = personName;
	}

	public String getPersonDeviceIdentifier() {
		return personDeviceIdentifier;
	}

	public void setPersonDeviceIdentifier(String personDeviceIdentifier) {
		this.personDeviceIdentifier = personDeviceIdentifier;
	}

	public Integer getDeviceId() {
		return deviceId;
	}

	public void setDeviceId(Integer deviceId) {
		this.deviceId = deviceId;
	}

	public String getDeviceName() {
		return deviceName;
	}

	public void setDeviceName(String deviceName) {
		this.deviceName = deviceName;
	}

	public String getDeviceLabel() {
		return deviceLabel;
	}

	public void setDeviceLabel(String deviceLabel) {
		this.deviceLabel = deviceLabel;
	}

	public String getRequestMessage() {
		return requestMessage;
	}

	public void setRequestMessage(String requestMessage) {
		this.requestMessage = requestMessage;
	}

	public String getDate() {
		return date;
	}

	public void setDate(String date) {
		this.date = date;
	}

	public String getStartTime() {
		return startTime;
	}

	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}

	public String getEndTime() {
		return endTime;
	}

	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}

	public String getFinalTime() {
		return finalTime;
	}

	public void setFinalTime(String finalTime) {
		this.finalTime = finalTime;
	}

	public String getExtraTime() {
		return extraTime;
	}

	public void setExtraTime(String extraTime) {
		this.extraTime = extraTime;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}
	
	
}
