package com.fsense.dto;

import java.io.Serializable;

import com.fsense.entities.WorkdaySchedule;

@SuppressWarnings("serial")
public class WorkdayScheduleDTO implements Serializable {
	
	private String weekday;
	private String maxFlexibleDuration;
	private String start;
	private String end;
	
	public WorkdayScheduleDTO() {
	}

	public WorkdayScheduleDTO(String weekday, String maxFlexibleDuration, String start, String end) {
		this.weekday = weekday;
		this.maxFlexibleDuration = maxFlexibleDuration;
		this.start = start;
		this.end = end;
	}
	
	public WorkdayScheduleDTO(WorkdaySchedule workdaySchedule) {
		this.weekday = workdaySchedule.getWeekday();
		this.maxFlexibleDuration = workdaySchedule.getMaxFlexibleDuration();
		this.start = workdaySchedule.getStart();
		this.end = workdaySchedule.getEnd();
	}
	
	public String getWeekday() {
		return weekday;
	}

	public void setWeekday(String weekday) {
		this.weekday = weekday;
	}

	public String getMaxFlexibleDuration() {
		return maxFlexibleDuration;
	}

	public void setMaxFlexibleDuration(String maxFlexibleDuration) {
		this.maxFlexibleDuration = maxFlexibleDuration;
	}

	public String getStart() {
		return start;
	}

	public void setStart(String start) {
		this.start = start;
	}

	public String getEnd() {
		return end;
	}

	public void setEnd(String end) {
		this.end = end;
	}

	@Override
	public String toString() {
		return "WorkdayScheduleDTO [weekday=" + weekday + ", maxFlexibleDuration=" + maxFlexibleDuration + ", start="
				+ start + ", end=" + end + "]";
	}
	
	
}
