package com.fsense.entities;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

@SuppressWarnings("serial")
public class Workday implements Serializable {
	
	private Integer id;
	private String name;
	private boolean workNationalHolidays;
	private boolean workRegionalHolidays;
	private boolean isFlexible;
	private String ignoreNonFocusLongerThan;
	private List<WorkdaySchedule> workdayScheduleList = new ArrayList<>();
	private Integer calendarId;
	
	public Workday() {
	}

	public Workday(Integer id, String name, boolean workNationalHolidays, boolean workRegionalHolidays, boolean isFlexible, String ignoreNonFocusLongerThan, Integer calendarId) {
		this.name = name;
		this.workNationalHolidays = workNationalHolidays;
		this.workRegionalHolidays = workRegionalHolidays;
		this.isFlexible = isFlexible;
		this.ignoreNonFocusLongerThan = ignoreNonFocusLongerThan;
		this.calendarId = calendarId;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public boolean isWorkNationalHolidays() {
		return workNationalHolidays;
	}

	public void setWorkNationalHolidays(boolean workNationalHolidays) {
		this.workNationalHolidays = workNationalHolidays;
	}

	public boolean isWorkRegionalHolidays() {
		return workRegionalHolidays;
	}

	public void setWorkRegionalHolidays(boolean workRegionalHolidays) {
		this.workRegionalHolidays = workRegionalHolidays;
	}

	public List<WorkdaySchedule> getWorkdayScheduleList() {
		return workdayScheduleList;
	}

	public void setWorkdayScheduleList(List<WorkdaySchedule> workdayScheduleList) {
		this.workdayScheduleList = workdayScheduleList;
	}

	public boolean isFlexible() {
		return isFlexible;
	}

	public void setFlexible(boolean isFlexible) {
		this.isFlexible = isFlexible;
	}

	public String getIgnoreNonFocusLongerThan() {
		return ignoreNonFocusLongerThan;
	}

	public void setIgnoreNonFocusLongerThan(String ignoreNonFocusLongerThan) {
		this.ignoreNonFocusLongerThan = ignoreNonFocusLongerThan;
	}

	public Integer getCalendarId() {
		return calendarId;
	}

	public void setCalendarId(Integer calendarId) {
		this.calendarId = calendarId;
	}

	@Override
	public String toString() {
		return "Workday {id=" + id + ", name=" + name + ", workNationalHolidays=" + workNationalHolidays
				+ ", workRegionalHolidays=" + workRegionalHolidays + ", workdayScheduleList=" + workdayScheduleList
				+ ", isFlexible=" + isFlexible + ", ignoreNonFocusLongerThan=" + ignoreNonFocusLongerThan + ", calendarId=" + calendarId + "}";
	}


}
