package com.fsense.jdbc.dao;

import java.util.Properties;

import com.fsense.jdbc.DB;
import com.fsense.jdbc.impl.*;

/***
 * Classe responsavel por criar as intancias das classes que implementam as interfacesDAO
 * Fábrica de DAO
 * @author 44944_wester
 *
 */
public class DAOFactory {
	
	public static HolidayDAO createHolidayDAO(Properties context) {
		return new HolidayServiceDAOImpl(DB.getConnection(context));
	}
	
	public static LoginHistoryDAO createLoginHistoryDAO(Properties context) {
		return new LoginHistoryDAOImpl(DB.getConnection(context));
	}
	
	public static WorkdayProrogationDAO createWorkdayProrogationDAO(Properties context) {
		return new WorkdayProrogationDAOImpl(DB.getConnection(context));
	}
	
	public static WorkdayOverrideDAO createWorkdayOverrideDAO(Properties context) {
		return new WorkdayOverrideDAOImpl(DB.getConnection(context));
	}
	
	public static WorkdayDAO createWorkdayDAO(Properties context) {
		return new WorkdayDAOImpl(DB.getConnection(context));
	}
	
	public static WorkdayScheduleDAO createWorkdayScheduleDAO(Properties context) {
		return new WorkdayScheduleDAOImpl(DB.getConnection(context));
 	}
	
	public static PersonDAO createPersonDAO(Properties context) {
		return new PersonDAOImpl(DB.getConnection(context));
	}
	
	public static TeamDAO createTeamDAO(Properties context) {
		return new TeamDAOImpl(DB.getConnection(context));
	}
	
	public static CategoryDAO createCategoryDAO(Properties context) {
		return new CategoryDAOImpl(DB.getConnection(context));
	}
	
	public static GeneralCategoryDAO createGeneralCategoryDAO(Properties context) {
		return new GeneralCategoryDAOImpl(DB.getConnection(context));
	}
	
	public static CategoriesByTeamDAO createCategoriesByTeamDAO(Properties context) {
		return new CategoriesByTeamDAOImpl(DB.getConnection(context));
	}
	
	public static ActivityDAO createActivityDAO(Properties context) {
		return new ActivityDAOImpl(DB.getConnection(context));
	}
	
	public static EventDAO createEventDAO(Properties context) {
		return new EventDAOImpl(DB.getConnection(context));
	}
	
	public static KeystrokesDAO createKeystrokesDAO(Properties context) {
		return new KeystrokesDAOImpl(DB.getConnection(context));
	}

	public static FSCalendarDAO createCalendarDAO(Properties context) {
		return new FSCalendarDAOImpl(DB.getConnection(context));
	}
}
