package com.fsense.jdbc.impl;

import java.sql.Connection;
import java.sql.Date;
import java.sql.PreparedStatement;
import java.sql.SQLException;

import org.apache.log4j.Logger;

import com.fsense.entities.Activity;
import com.fsense.jdbc.DB;
import com.fsense.jdbc.dao.ActivityDAO;

/***
 * Classe que implementa as operações da implementação de banco de dados do serviço de Atividades
 * @author 44944_wester
 *
 */
public class ActivityDAOImpl implements ActivityDAO {
	private static final Logger logger = Logger.getLogger(ActivityDAOImpl.class);
	
	private Connection conn;
	
	public ActivityDAOImpl(Connection conn) {
		this.conn = conn;
	}

	@Override
	public void insert(Activity act) {
		PreparedStatement st = null;
		try {
				st = conn.prepareStatement("INSERT INTO tb_activity "
						+ "(date, application, login, process_name, evt_duration_milliseconds, host, category, category_name) " 
						+ "VALUES " + "(?, ?, ?, ?, ?, ?, ?, ?)");
				
				st.setDate(1, Date.valueOf(act.getDate()));
				st.setString(2, act.getApplication());
				st.setString(3, act.getLogin());
				st.setString(4, act.getProcessName());
				st.setLong(5, act.getEvtDurationMilliseconds());
				st.setString(6, act.getHost());
				st.setString(7, String.valueOf(act.getCategory()));
				st.setString(8, act.getCategoryName());
				
				st.executeUpdate();
		}
		catch (SQLException e) {
			logger.error(e.getMessage());
		}
		finally {
			DB.closeStatement(st);
		}
	}
}
