package com.fsense.jdbc.impl;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.sql.Types;

import org.apache.log4j.Logger;

import com.fsense.entities.CategoryTeam;
import com.fsense.jdbc.DB;
import com.fsense.jdbc.dao.CategoriesByTeamDAO;

/***
 * Classe que implementa as operações da implementação de banco de dados do serviço de Categorias por Equipe
 * @author 44944_wester
 *
 */
public class CategoriesByTeamDAOImpl implements CategoriesByTeamDAO {
	private static final Logger logger = Logger.getLogger(CategoriesByTeamDAOImpl.class);
	
	private Connection conn;
	
	public CategoriesByTeamDAOImpl(Connection conn) {
		this.conn = conn;
	}

	@Override
	public void insert(CategoryTeam cat) {
		PreparedStatement st = null;
		try {
			st = conn.prepareStatement("INSERT INTO tb_categories_by_team "
					+ "(application_name, category, category_name, team_id, team_name) " 
					+ "VALUES (?, ?, ?, ?, ?)");
			st.setString(1, cat.getApplicationName());
			st.setString(2, cat.getCategory());
			st.setString(3, cat.getCategoryName());
			st.setLong(4, cat.getTeam().getId());
			st.setString(5, cat.getTeam().getName());

			st.executeUpdate();
			
		} catch (SQLException e) {
			logger.error(e.getMessage());
		} finally {
			DB.closeStatement(st);
		}
	}

}
