package com.fsense.jdbc.impl;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;

import org.apache.log4j.Logger;

import com.fsense.entities.Category;
import com.fsense.jdbc.DB;
import com.fsense.jdbc.dao.CategoryDAO;
/***
 * Classe que implementa as operações da implementação de banco de dados do serviço de Categorias
 * @author 44944_wester
 *
 */
public class CategoryDAOImpl implements CategoryDAO {
	private static final Logger logger = Logger.getLogger(CategoryDAOImpl.class);

	private Connection conn;

	public CategoryDAOImpl(Connection conn) {
		this.conn = conn;
	}

	@Override
	public void insert(Category cat) {
		PreparedStatement st = null;
		try {
			st = conn.prepareStatement("INSERT INTO tb_category "
					+ "(application_name, category, category_name, username) " 
					+ "VALUES (?, ?, ?, ?)");

			st.setString(1, cat.getApplicationName());
			st.setString(2, String.valueOf(cat.getCategory()));
			st.setString(3, cat.getCategoryName());
			st.setString(4, cat.getUsername());

			st.executeUpdate();
			
		} catch (SQLException e) {
			logger.error(e.getMessage());
		} finally {
			DB.closeStatement(st);
		}
	}
}
