package com.fsense.jdbc.impl;

import com.fsense.entities.FSCalendar;
import com.fsense.jdbc.DB;
import com.fsense.jdbc.dao.FSCalendarDAO;
import org.apache.log4j.Logger;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.sql.Types;

public class FSCalendarDAOImpl implements FSCalendarDAO {
    private static final Logger logger = Logger.getLogger(FSCalendarDAO.class);

    private Connection conn;

    public FSCalendarDAOImpl(Connection conn) {
        this.conn = conn;
    }

    @Override
    public void insert(FSCalendar calendar) {
        PreparedStatement st = null;

        try {
            st = conn.prepareStatement("INSERT INTO tb_calendar " +
                    "(id, name, external_code) " +
                    "VALUES (?, ?, ?)");
            st.setInt(1, calendar.getId());
            st.setString(2, calendar.getName());
            if (calendar.getExternalCode() == null) {
                st.setNull(3, Types.VARCHAR);
            } else {
                st.setString(3, calendar.getExternalCode());
            }
            st.executeUpdate();
        }
        catch (SQLException e) {
            logger.error(e.getMessage());
        }
        finally {
            DB.closeStatement(st);
        }
    }
}
