package com.fsense.jdbc.impl;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;

import org.apache.log4j.Logger;

import com.fsense.entities.Category;
import com.fsense.jdbc.DB;
import com.fsense.jdbc.dao.GeneralCategoryDAO;

/***
 * Classe que implementa as operações da implementação de banco de dados do serviço de Categorias Gerais
 * @author 44944_wester
 *
 */
public class GeneralCategoryDAOImpl implements GeneralCategoryDAO {
	private static final Logger logger = Logger.getLogger(GeneralCategoryDAO.class);

	private Connection conn;

	public GeneralCategoryDAOImpl(Connection conn) {
		this.conn = conn;
	}

	@Override
	public void insert(Category cat) {
		PreparedStatement st = null;
		try {
			st = conn.prepareStatement("INSERT INTO tb_general_category "
							+ "(application_name, category, category_name) " 
							+ "VALUES (?, ?, ?)");

			st.setString(1, cat.getApplicationName());
			st.setString(2, cat.getCategory());
			st.setString(3, cat.getCategoryName());

			st.executeUpdate();
			
		} catch (SQLException e) {
			logger.error(e.getMessage());
		}
		finally {
			DB.closeStatement(st);
		}
	}

}
