package com.fsense.jdbc.impl;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.sql.Timestamp;

import org.apache.log4j.Logger;

import com.fsense.entities.LoginHistory;
import com.fsense.jdbc.DB;
import com.fsense.jdbc.dao.LoginHistoryDAO;
/***
 * Classe que implementa as operações da implementação de banco de dados do serviço de Historico de Login
 * @author 44944_wester
 *
 */
public class LoginHistoryDAOImpl implements LoginHistoryDAO {
	private static final Logger logger = Logger.getLogger(LoginHistoryDAOImpl.class);
	
	private Connection conn;
	
	public LoginHistoryDAOImpl(Connection conn) {
		this.conn = conn;
	}
	@Override
	public void insert(LoginHistory loginHistory) {
		PreparedStatement st = null;
		try {
			st = conn.prepareStatement("INSERT INTO tb_login_history "
					+ "(name, email, date) "
					+ "VALUES "
					+ "(?, ?, ?)");
			
			st.setString(1, loginHistory.getName());
			st.setString(2, loginHistory.getEmail());
			st.setTimestamp(3, Timestamp.valueOf(loginHistory.getDate().replace("T", " ").replace("+00:00", "")));
			
			st.executeUpdate();
		}
		catch(SQLException e) {
			logger.error(e.getMessage());
		}
		finally {
			DB.closeStatement(st);
		}
	}

}
