package com.fsense.jdbc.impl;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.sql.Types;

import org.apache.log4j.Logger;

import com.fsense.entities.Team;
import com.fsense.jdbc.DB;
import com.fsense.jdbc.dao.TeamDAO;
/***
 * Classe que implementa as operações da implementação de banco de dados do serviço de Equipes
 * @author 44944_wester
 *
 */
public class TeamDAOImpl implements TeamDAO {
	private static final Logger logger = Logger.getLogger(TeamDAOImpl.class);
	
	private Connection conn;
	
	public TeamDAOImpl(Connection conn) {
		this.conn = conn;
	}
	
	@Override
	public void insert(Team team) {	
		PreparedStatement st = null;
		try {
			st = conn.prepareStatement("INSERT INTO tb_team "
					+ "(id, name, workday_id, team_parent_id, team_parent_name) "
					+ "VALUES "
					+ "(?, ?, ?, ?, ?)");
			
			st.setInt(1, team.getId());
			st.setString(2, team.getName());
			if(team.getWorkdayId() == null) {
				st.setNull(3, Types.INTEGER);
			}
			else {
				st.setInt(3, team.getWorkdayId());
			}
			if(team.getTeamParentId() == null) {
				st.setNull(4, Types.INTEGER);
			}else {
				st.setInt(4, team.getTeamParentId());
			}
			if(team.getTeamParentName() == null) {
				st.setNull(5, Types.VARCHAR);
			} else {
				st.setString(5, team.getTeamParentName());
			}
			st.executeUpdate();			
		} 
		catch (SQLException e) {
			logger.error(e.getMessage());
		}
		finally {
			DB.closeStatement(st);
		}
	}
}
