package com.fsense.jdbc.impl;

import java.sql.Connection;
import java.sql.Date;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.sql.Time;
import java.sql.Types;

import org.apache.log4j.Logger;

import com.fsense.entities.WorkdayProrogation;
import com.fsense.jdbc.DB;
import com.fsense.jdbc.dao.WorkdayProrogationDAO;
/***
 * Classe que implementa as operações da implementação de banco de dados do serviço de Acréscimos de Jornada
 * @author 44944_wester
 *
 */
public class WorkdayProrogationDAOImpl implements WorkdayProrogationDAO {
	private static final Logger logger = Logger.getLogger(WorkdayOverrideDAOImpl.class);

	private Connection conn;

	public WorkdayProrogationDAOImpl(Connection conn) {
		this.conn = conn;
	}

	@Override
	public void insert(WorkdayProrogation workdayProrogation) {
		PreparedStatement st = null;
		try {
			st = conn.prepareStatement("INSERT INTO tb_workday_prorogation "
					+ "(id, source, person_id, request_message, date, start_time, end_time, extra_time, status) "
					+ "VALUES "
					+ "(?, ?, ?, ?, ?, ?, ? , ?, ?)");

			st.setInt(1, workdayProrogation.getId());
			st.setString(2, workdayProrogation.getSource());
			st.setInt(3, workdayProrogation.getPerson().getId());
			if (workdayProrogation.getRequestMessage() == null) {
				st.setNull(4, Types.VARCHAR);
			}
			else {
				st.setString(4, workdayProrogation.getRequestMessage());
			}
			st.setDate(5, Date.valueOf(workdayProrogation.getDate()));
			st.setTime(6, Time.valueOf(workdayProrogation.getStartTime()));
			st.setTime(7, Time.valueOf(workdayProrogation.getEndTime()));
			if(workdayProrogation.getExtraTime() == null) {
				st.setNull(8, Types.TIME);
			}
			else {
				st.setTime(8, Time.valueOf(workdayProrogation.getExtraTime().concat(":00")));
			}
			st.setString(9, workdayProrogation.getStatus());
			
			st.executeUpdate();
		}
		catch(SQLException e) {
			logger.error(e.getMessage());
		}
		finally {
			DB.closeStatement(st);
		}
	}

}
