package com.fsense.service.impl;

import java.lang.reflect.InvocationTargetException;
import java.util.Properties;

import org.apache.log4j.Logger;

import com.fsense.jdbc.DB;
import com.fsense.service.IService;
/***
 * Classe responsável por testar a conexão com o banco de dados.
 * @author 44944_wester
 *
 */
public class DbTestConnection extends GenericService implements IService{
	
	public DbTestConnection(Properties context) {
		super(context);
	}

	private static final Logger logger = Logger.getLogger(DbTestConnection.class);

	@Override
	public void execute(Properties context) throws Exception {
		String methodName = context.getProperty("service.method");
		logger.info("SELECTED METHOD [" + methodName + "]");
		try {
			if (methodName.isEmpty()) {
				logger.error("No method has been selected.");
				logger.error("Available methods: ");
				printAvaliableMethods();
			} else {
				String methodNameCamelCase = toCamelCase(methodName);
				invokeMethodByName(methodNameCamelCase, context);
			}
		} catch (InvocationTargetException e) {
			System.err.println("Error executing method : " + methodName);
			Throwable cause = e.getCause();
			logger.error(cause.getMessage());
		} catch (Exception e) {
			logger.error("Error executing " + methodName);
			logger.error("No method found for informed name:  " + methodName);
			printAvaliableMethods();
		}
	}
	
	//Método que testa a conexão com banco de Dados
	public void databaseTestConnection(Properties context) throws Exception {
		try {
			DB.getConnection(context);
			logger.info("Connection successfully");
		}
		catch(Exception e) {
			logger.error(e.getMessage());
		}
	}

}
