package com.fsense.service.impl;

import java.util.HashSet;
import java.util.Properties;
import java.util.Set;

import com.fsense.service.IService;


	
public enum Service {
	AUTH_SERVICE(AuthService.class),
	ACTIVITY_SERVICE(ActivityService.class),
	EVENT_SERVICE(EventService.class),
	TEAM_SERVICE(TeamService.class),
	PERSON_SERVICE(PersonService.class),
	WORKDAY_SERVICE(WorkdayService.class),
	WORKDAY_OVERRIDE_SERVICE(WorkdayOverrideService.class),
	WORKDAY_PROROGATION_SERVICE(WorkdayProrogationService.class),
	HOLIDAY_SERVICE(HolidayService.class),
	LOGIN_HISTORY_SERVICE(LoginHistoryService.class),
	CATEGORY_SERVICE(CategoryService.class),
	KEYSTROKES_SERVICE(KeystrokesService.class),
	CALENDAR_SERVICE(CalendarService.class),
	DATABASE_TEST_SERVICE(DbTestConnection.class);

	private Class<? extends IService> serviceClass;

	Service(Class<? extends IService> serviceClass) {
		this.serviceClass = serviceClass;
	}

	public Class<? extends IService> service() {
		return this.serviceClass;
	}

	public static Service getServiceByName(String name, Properties context) {
		if (name != null) {
			for (Service service : Service.values()) {
				if (service.name().equalsIgnoreCase(name)) {
					return service;
				}
			}
		}
		return null;
	}

	public static Set<String> list() {
		Set<String> names = new HashSet<String>();
		for (Service service : Service.values()) {
			names.add(service.name());
		}
		return names;
	}
}
