package com.fsense.service.impl.csv;

import java.io.IOException;
import java.util.List;
import java.util.Properties;

import org.apache.log4j.Logger;

import com.fsense.entities.Keystrokes;
import com.fsense.service.impl.AuthService;
import com.fsense.service.impl.writer.KeystrokesServiceWriter;
import com.fsense.utils.CSVUtil;
import com.fsense.utils.GenericCSVGenerator;

public class KeystrokesServiceCSVWriter extends AuthService implements KeystrokesServiceWriter {
	private static final Logger logger = Logger.getLogger(KeystrokesServiceCSVWriter.class);
	
	public KeystrokesServiceCSVWriter(Properties context) {
		super(context);
	}

	@Override
	public void saveKeystrokes(Properties context, List<Keystrokes> keystrokes, String currentDate) throws Exception {
		if(keystrokes.size()>0) {
			logger.debug("========================================================");
			logger.info("EXPORTING TO CSV");
			logger.debug("========================================================");
			logger.info("Generating file keystrokes.csv");
			try {
				GenericCSVGenerator.generateListCSV(keystrokes,
						CSVUtil.validPath(context.getProperty("path.save")) + "keystrokes_"+ currentDate +".csv",
						CSVUtil.getDelimiter(context), CSVUtil.getQualifier(context));
			}
			catch (IOException e) {
				e.printStackTrace();
			}
			logger.info("File: keystrokes_" + currentDate +".csv saved succesfully");
			logger.info("File saved in path: " + CSVUtil.validPath(context.getProperty("path.save")));
			logger.info("Export keystrokes of day "+ currentDate +" completed successfully.");
			logger.debug("========================================================");
		}
		else {
			logger.debug("========================================================");
			logger.debug("No data found");
			logger.debug("========================================================");
			return;
		}
	}

}
