package com.fsense.service.impl.database;

import java.util.List;
import java.util.Properties;

import org.apache.log4j.Logger;

import com.fsense.entities.Keystrokes;
import com.fsense.jdbc.dao.DAOFactory;
import com.fsense.jdbc.dao.KeystrokesDAO;
import com.fsense.service.impl.AuthService;
import com.fsense.service.impl.writer.KeystrokesServiceWriter;

public class KeystrokesServiceDatabaseWriter extends AuthService implements KeystrokesServiceWriter {
	private static final Logger logger = Logger.getLogger(KeystrokesServiceDatabaseWriter.class);
	
	public KeystrokesServiceDatabaseWriter(Properties context) {
		super(context);
	}

	@Override
	public void saveKeystrokes(Properties context, List<Keystrokes> keystrokes, String currentDate) throws Exception {
		KeystrokesDAO keystrokesDAO = DAOFactory.createKeystrokesDAO(context);
		int updateCount = 0;
		logger.info("Open database Connection");
		logger.info("Saving on tb_keystrokes");
		logger.debug("==========================================");
		if(keystrokes.size() > 0) {
			for(Keystrokes keystroke : keystrokes) {
				updateCount++;
				keystrokesDAO.save(keystroke);
			}
		} else {
			logger.debug("No data found for this date: " + currentDate);
			logger.debug("==========================================");
			return;
		}
	logger.info("Update Count: " + updateCount);
	logger.info("Database connection close");
		logger.debug("==========================================");
	}

}
