package com.fsense.service.impl.database;

import java.util.List;
import java.util.Properties;

import org.apache.log4j.Logger;

import com.fsense.entities.LoginHistory;
import com.fsense.jdbc.dao.DAOFactory;
import com.fsense.jdbc.dao.LoginHistoryDAO;
import com.fsense.service.impl.writer.AuthServiceWriter;
import com.fsense.service.impl.writer.LoginHistoryServiceWriter;
/***
 * Classe que implementa escrita em banco de dados para serviço de Historico de Login
 * @author 44944_wester
 *
 */
public class LoginHistoryServiceDatabaseWriter extends AuthServiceWriter implements LoginHistoryServiceWriter {
	private static final Logger logger = Logger.getLogger(LoginHistoryServiceDatabaseWriter.class);
	
	public LoginHistoryServiceDatabaseWriter(Properties context) {
		super(context);
	}
	
	/***
	 * Salva uma lista de historicos de login no banco de dados
	 * 
	 * Este método salva os historicos de login fornecidos na lista no banco de dados 
	 * usando o LoginHistoryDAO. Cada historico de login da lista é inserido no banco de dados individualmente.
	 */
	@Override
	public void saveLoginHistory(Properties context, List<LoginHistory> loginHistoryList) throws Exception {
		LoginHistoryDAO loginHistoryDAO = DAOFactory.createLoginHistoryDAO(context);
		int UpdateCount = 0;
		logger.info("Open database Connection");
		logger.info("Saving on tb_login_history");
		logger.debug("==========================================");
		for(LoginHistory loginHistory : loginHistoryList) {
			UpdateCount++;
			loginHistoryDAO.insert(loginHistory);
		}
		logger.info("Update count: " + UpdateCount);
		logger.info("Database connection close");
		logger.debug("==========================================");
	}
}
