package com.fsense.utils;

import java.util.Properties;

public class CSVUtil {
	private char delimiter;
	private char qualifier;
	private StringBuilder output = new StringBuilder();

	public CSVUtil(char delimiter) {
		this.delimiter = delimiter;
	}

	public CSVUtil(char delimiter, char qualifier) {
		this.delimiter = delimiter;
		this.qualifier = qualifier;
	}

	public void addLine(Object... args) {
		for (Object o : args) {
			output.append(String.valueOf(qualifier).trim());
			// caso nao informado um qualificador retira os caracteres iguais ao delimitador
			// da string para nao ocorrer erro
			if (String.valueOf(qualifier).isEmpty()) {
				output.append(o == null ? "" : o.toString().replaceAll(String.valueOf(delimiter), ""));
			} else {
				output.append(o == null ? "" : o.toString());
			}
			output.append(String.valueOf(qualifier).trim());
			output.append(delimiter);
		}
		output.append("\n");
	}

	public String getContent() {
		return output.toString();
	}

	public static String validPath(String path) {
		if (!path.endsWith("/")) {
			path = path + "/";
			return path;
		}
		return path;
	}
	
	public static char getDelimiter(Properties context) {
		char delimiter = context.getProperty("csv.delimiter").charAt(0);
		return delimiter;
	}

	public static char getQualifier(Properties context) {
		char qualifier = context.getProperty("csv.text.qualifier").isEmpty() ? '\0'
				: context.getProperty("csv.text.qualifier").charAt(0);
		return qualifier;
	}
}
