package com.fsense.utils;

import java.io.BufferedWriter;
import java.io.File;
import java.io.FileWriter;
import java.sql.ResultSet;
import java.sql.ResultSetMetaData;

public class FileUtils {

	public static File findFile(File path, String filename) {

		if (path.getName().equals(filename))
			return path;
		if (path.isDirectory()) {
			File[] listFiles = path.listFiles();
			for (File file2 : listFiles) {
				File found = findFile(file2, filename);
				if (found != null)
					return found;
			}
		}
		return null;
	}

	public static void saveFile(String strFilePath, String fileName, String separador, ResultSet resultSet,	boolean createHeader) throws Exception {
		
		if (!resultSet.next()) {
			return;
		}

		File filePath = new File(strFilePath);
		File gerado = new File(fileName);

		if (!filePath.exists()) {
			FileUtils.createDirectory(filePath);
			gerado.createNewFile();
		}

		ResultSetMetaData resultSetMetaData = resultSet.getMetaData();

		FileWriter fw = new FileWriter(gerado, true);
		BufferedWriter out = new BufferedWriter(fw);

		if (createHeader) {
			FileUtils.createHeader(resultSetMetaData, out, separador);
		}

		FileUtils.writeFile(separador, resultSet, resultSetMetaData, out);

		out.close();
		fw.close();
		resultSet.close();
	}

	private static void writeFile(String separador, ResultSet resultSet, ResultSetMetaData resultSetMetaData, BufferedWriter out) throws Exception {
		do {
			StringBuilder linha = new StringBuilder();

			for (int i = 1; i <= resultSetMetaData.getColumnCount(); i++) {
				linha.append(resultSet.getString(i));
				linha.append(separador);
			}

			out.write(linha.toString());
			out.write("\n");

		} while (resultSet.next());
	}

	private static void createHeader(ResultSetMetaData resultSetMetaData, BufferedWriter out, String separador) throws Exception {
		StringBuilder cabecalho = new StringBuilder();

		for (int i = 1; i <= resultSetMetaData.getColumnCount(); i++) {
			cabecalho.append((resultSetMetaData.getColumnName(i))).append(separador);
		}

		out.write(cabecalho.toString());
		out.write("\n");
	}

	private static void createDirectory(File file) {
		try {
			file.mkdirs();

		} catch (SecurityException e) {
			throw e;
		}
	}

}
